Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class PaletteInterpretation

    Object
      CodeList<PaletteInterpretation>
          PaletteInterpretation

All Implemented Interfaces:
  Serializable, Comparable<PaletteInterpretation>

Deprecated. No replacement.

    @UML(identifier="CV_PaletteInterpretation",
         specification=OGC_01004)
    public final class PaletteInterpretation

extends CodeList<PaletteInterpretation>

Describes the color entry in a color table.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `ColorInterpretation`, `SampleDimension`, Serialized Form

Field Summary
`static PaletteInterpretation` | `CMYK` Deprecated. CYMK (Cyan Yellow Magenta blacK) color palette.
`static PaletteInterpretation` | `GRAY` Deprecated. Gray Scale color palette.
`static PaletteInterpretation` | `HLS` Deprecated. HSL (Hue Saturation Lightness) color palette.
`static PaletteInterpretation` | `RGB` Deprecated. RGB (Red Green Blue) color palette.

Method Summary
`CodeList[]` | `family()` Deprecated. Returns the list of enumerations of the same kind than this enum.
`static PaletteInterpretation` | `valueOf(String code)` Deprecated. Returns the PaletteInterpretation that matches the given string, or returns a new one if none match it.
`static PaletteInterpretation[]` | `values()` Deprecated. Returns the list of `PaletteInterpretation`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRAY

    @UML(identifier="CV_Gray",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final PaletteInterpretation GRAY

  Deprecated.
  Gray Scale color palette.

  See Also:
    `ColorSpace.TYPE_GRAY`

### RGB

    @UML(identifier="CV_RGB",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final PaletteInterpretation RGB

  Deprecated.
  RGB (Red Green Blue) color palette.

  See Also:
    `ColorSpace.TYPE_RGB`

### CMYK

    @UML(identifier="CV_CMYK",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final PaletteInterpretation CMYK

  Deprecated.
  CYMK (Cyan Yellow Magenta blacK) color palette.

  See Also:
    `ColorSpace.TYPE_CMYK`

### HLS

    @UML(identifier="CV_HLS",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final PaletteInterpretation HLS

  Deprecated.
  HSL (Hue Saturation Lightness) color palette.

  See Also:
    `ColorSpace.TYPE_HLS`

Method Detail

### values

    public static PaletteInterpretation[] values()

  Deprecated.
  Returns the list of `PaletteInterpretation`s.

### family

    public CodeList[] family()

  Deprecated.
  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<PaletteInterpretation>`

### valueOf

    public static PaletteInterpretation valueOf(String code)

  Deprecated.
  Returns the PaletteInterpretation that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.